Package com.google.android.exoplayer2.source.hls.playlist

## Class HlsPlaylistTracker.PlaylistResetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.source.hls.playlist.HlsPlaylistTracker.PlaylistResetException

- All Implemented Interfaces:
    `Serializable`
  Enclosing interface:
    HlsPlaylistTracker

      public static final class HlsPlaylistTracker.PlaylistResetException
      extends IOException

  Thrown when the media sequence of a new snapshot indicates the server has reset.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Uri` | `url` | The url of the reset playlist.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaylistResetException​(Uri url)` | Creates an instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### url

          public final Uri url

      The url of the reset playlist.

  - ### Constructor Detail

    - #### PlaylistResetException

          public PlaylistResetException​(Uri url)

      Creates an instance.
      Parameters:
        `url` - See `url`.